﻿using System.Collections.ObjectModel;

namespace TestProject
{
    /// <summary>
    /// 샘플
    /// </summary>
    public class Sample
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 자식 컬렉션
        /// </summary>
        private ObservableCollection<string> childCollection = new ObservableCollection<string>();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name { get; set; }

        #endregion
        #region 자식 컬렉션 - ChildCollection

        /// <summary>
        /// 자식 컬렉션
        /// </summary>
        public ObservableCollection<string> ChildCollection
        {
            get
            {
                return this.childCollection;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Sample()

        /// <summary>
        /// 생성자
        /// </summary>
        public Sample()
        {
            for(int i = 0; i < 10; ++i)
            {
                ChildCollection.Add($"하위 샘플 {i}");
            }
        }

        #endregion
    }
}